Package com.salesforce.datacloud.jdbc.util

## Class Result.Success<T>

- java.lang.Object
- - com.salesforce.datacloud.jdbc.util.Result<T>
  - - com.salesforce.datacloud.jdbc.util.Result.Success<T>

Enclosing class:
  Result<T>

    public static class Result.Success<T>
    extends Result<T>

### Nested Class Summary

### Nested classes/interfaces inherited from class com.salesforce.datacloud.jdbc.util.Result

`Result.Failure<T>, Result.Success<T>`

### Constructor Summary

Constructors
`Success​(T value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getValue()`

### Methods inherited from class com.salesforce.datacloud.jdbc.util.Result

`of`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Success

    public Success​(T value)

### Method Detail

#### getValue

    public T getValue()